/*
 * Class SED_SESSION_DESERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_113 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_113 [] = {0xFF01,237,112,0xFFFF};
static const EIF_TYPE_INDEX egt_2_113 [] = {0xFF01,112,0xFFFF};
static const EIF_TYPE_INDEX egt_3_113 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_113 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_113 [] = {0xFF01,112,0xFFFF};
static const EIF_TYPE_INDEX egt_6_113 [] = {0xFF01,112,0xFFFF};
static const EIF_TYPE_INDEX egt_7_113 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_113 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_113 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_113 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_113 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_113 [] = {0xFF01,112,0xFFFF};
static const EIF_TYPE_INDEX egt_13_113 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_113 [] = {237,0xFF01,63,0xFFFF};
static const EIF_TYPE_INDEX egt_15_113 [] = {0xFF01,38,0xFFFF};
static const EIF_TYPE_INDEX egt_16_113 [] = {261,0xFF01,13,0xFFFF};
static const EIF_TYPE_INDEX egt_17_113 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_113 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_19_113 [] = {0xFF01,243,0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_20_113 [] = {0xFF01,17,0xFFFF};
static const EIF_TYPE_INDEX egt_21_113 [] = {279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_22_113 [] = {0xFF01,243,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_113 [] = {0xFF01,153,0xFFFF};


static const struct desc_info desc_113[] = {
	{EIF_GENERIC(NULL), 1526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_113), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_113), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_113), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_113), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_113), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_113), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_113), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_113), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_113), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_113), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_113), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_113), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xE1 /*112*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_113), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1463, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_113), 1464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1112, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1113, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1114, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1120, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_113), 1121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1111, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1527, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_113), 1528, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 1529, 4},
	{EIF_NON_GENERIC(0x1B /*13*/), 1530, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_113), 1531, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 1532, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1533, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1534, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_113), 1535, 12},
	{EIF_GENERIC(egt_18_113), 1536, 16},
	{EIF_GENERIC(egt_19_113), 1537, 20},
	{EIF_NON_GENERIC(0x017F /*191*/), 1538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1540, 28},
	{EIF_GENERIC(egt_20_113), 1541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1542, 32},
	{EIF_GENERIC(egt_21_113), 1543, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 1544, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1545, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1546, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1547, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1548, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1550, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1551, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1556, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1557, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1558, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1559, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1560, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_113), 1561, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1562, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1564, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1565, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1566, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1567, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1568, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1569, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1570, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1518, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1524, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_113), 1525, 0xFFFFFFFF},
};
void Init113(void)
{
	IDSC(desc_113, 0, 112);
	IDSC(desc_113 + 1, 1, 112);
	IDSC(desc_113 + 32, 201, 112);
	IDSC(desc_113 + 37, 290, 112);
	IDSC(desc_113 + 48, 151, 112);
}


#ifdef __cplusplus
}
#endif
